package m05bRentingEJB;


/**
 * This is the Primary Key for the Entity EJB <tt>m05Renting</tt>.
 */
public class m05RentingPK implements java.io.Serializable {

  /**
   * This is the primary key.
   * It is the Renting codigo, which is the primary key
   * in table <tt>m0541t00</tt>.
   */
  public String ren_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05RentingPK) {
      m05RentingPK otherKey = (m05RentingPK) obj;
      return (this.ren_codigo  == otherKey.ren_codigo);
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return (this.ren_codigo.hashCode());
  }


}
